<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlMonExtAnaSigRep_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlMonExtAnaSigRep_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the Monitoring report which RadarSS sends to the host, containing the external signal voltage values measured using the GPADC. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_EXT_ANALOG_SIG_REPORT.  
 <a href="structrl_mon_ext_ana_sig_rep__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a8734d2d480450a8f72b72544612ba1b1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8734d2d480450a8f72b72544612ba1b1"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_ext_ana_sig_rep__t.html#a8734d2d480450a8f72b72544612ba1b1">statusFlags</a></td></tr>
<tr class="memdesc:a8734d2d480450a8f72b72544612ba1b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status flags indicating pass fail results corresponding <br />
 to various threshold checks under this monitor. <br />
 Bit STATUS_FLAG for monitor <br />
 0 STATUS_ANALOGTEST1 <br />
 1 STATUS_ANALOGTEST2 <br />
 2 STATUS_ANALOGTEST3 <br />
 3 STATUS_ANALOGTEST4 <br />
 4 STATUS_ANAMUX <br />
 5 STATUS_VSENSE <br />
 15:3 RESERVED <br />
 0 - FAIL or check wasn't done, 1 - PASS <br />
. <br /></td></tr>
<tr class="separator:a8734d2d480450a8f72b72544612ba1b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1fbfeeecae01e5b82c75016920ac2fb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af1fbfeeecae01e5b82c75016920ac2fb"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_ext_ana_sig_rep__t.html#af1fbfeeecae01e5b82c75016920ac2fb">errorCode</a></td></tr>
<tr class="memdesc:af1fbfeeecae01e5b82c75016920ac2fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates any error reported during monitoring Value of 0 indicates no error. <br /></td></tr>
<tr class="separator:af1fbfeeecae01e5b82c75016920ac2fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7432de53fcdfe717f663a7ed7761f69"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab7432de53fcdfe717f663a7ed7761f69"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_ext_ana_sig_rep__t.html#ab7432de53fcdfe717f663a7ed7761f69">extAnaSigVal</a> [6U]</td></tr>
<tr class="memdesc:ab7432de53fcdfe717f663a7ed7761f69"><td class="mdescLeft">&#160;</td><td class="mdescRight">MEASURED_VALUE <br />
 Bytes SIGNAL <br />
 1:0 ANALOGTEST1 <br />
 3:2 ANALOGTEST2 <br />
 5:4 ANALOGTEST3 <br />
 7:6 ANALOGTEST4 <br />
 9:8 ANAMUX <br />
 11:10 VSENSE <br />
 1 LSB = 1.8V/1024 <br />
. <br /></td></tr>
<tr class="separator:ab7432de53fcdfe717f663a7ed7761f69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a730e7d8693eb0c5fb6be2c2e155938a0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a730e7d8693eb0c5fb6be2c2e155938a0"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_ext_ana_sig_rep__t.html#a730e7d8693eb0c5fb6be2c2e155938a0">reserved0</a></td></tr>
<tr class="memdesc:a730e7d8693eb0c5fb6be2c2e155938a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a730e7d8693eb0c5fb6be2c2e155938a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e17063812644fa0f27421f267cae7c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7e17063812644fa0f27421f267cae7c3"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_ext_ana_sig_rep__t.html#a7e17063812644fa0f27421f267cae7c3">timeStamp</a></td></tr>
<tr class="memdesc:a7e17063812644fa0f27421f267cae7c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates when the last monitoring in the enabled set was performed. <br />
 1 LSB = 1 millisecond (the stamp rolls over upon exceeding allotted bit <br />
 width) <br />
. <br /></td></tr>
<tr class="separator:a7e17063812644fa0f27421f267cae7c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the Monitoring report which RadarSS sends to the host, containing the external signal voltage values measured using the GPADC. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_EXT_ANALOG_SIG_REPORT. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
